package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.MAmVideoInfoOperationLog;
import cn.cecep.talroad.vo.query.AmVideoDevFiQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.sql.Timestamp;
import java.util.List;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @className: MAmVideoInfoOperationLogMapper
 * @description: TODO 类描述 
 * @author: Mr.Yanghongtao
 * @date: 2023/04/30 10:11
 * @Company: Copyright© [2023/04/30 10:11] by [Mr.Yanghongtao]
 **/
@Mapper
public interface MAmVideoInfoOperationLogMapper extends BaseMapper<MAmVideoInfoOperationLog> {
    int insertSelective(MAmVideoInfoOperationLog record);

    int updateByPrimaryKeySelective(MAmVideoInfoOperationLog record);

    int updateBatch(List<MAmVideoInfoOperationLog> list);

    int updateBatchSelective(List<MAmVideoInfoOperationLog> list);

    int batchInsert(@Param("list") List<MAmVideoInfoOperationLog> list);

    int insertOrUpdate(MAmVideoInfoOperationLog record);

    int insertOrUpdateSelective(MAmVideoInfoOperationLog record);

    List<MAmVideoInfoOperationLog> selectListByParam(Page<MAmVideoInfoOperationLog> page,
                                                     @Param("dto") AmVideoDevFiQuery dto,
                                                     @Param("startTime") Timestamp startTime,
                                                     @Param("endTime") Timestamp endTime
    );
}